<?php
// +----------------------------------------------------------------------
// | mobanbox [ Beautiful Digital Content Trading System ]
// +----------------------------------------------------------------------
// | Copyright (c) 2015 http://mobanbox.net All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Email author@mobanbox.net
// +----------------------------------------------------------------------

_setView(__FILE__);
_setTitle($langArray['statement_setTitle']);



$usersClass = new users();

if(check_login_bool() && $_SESSION['user']['user_id'] != $users['user_id']) {
	$users['is_follow'] = $usersClass->isFollow($users['user_id']);
}

$users['profile_desc'] = replaceEmoticons($users['profile_desc']);

abr('user', $users);

abr('checkItemsType', 'yes');

if(check_login_bool() && ($username == '' || $username == $_SESSION['user']['username'])) {
	$username = $_SESSION['user']['username'];
	$whereQuery = " AND (`status` = 'active' OR `status` = 'unapproved' ) ";
}
else {
	$whereQuery = " AND `status` = 'active' ";
}
$user = $usersClass->getByUsername($username);
if(!is_array($user)) {
	header("HTTP/1.0 404 Not Found");
	header("Location: http://". DOMAIN ."/".$languageURL."error");
}
abr('user', $user);


$userss = $usersClass->getAll(0, 0, $itemsClass->usersWhere);
abr('userss', $userss);

#加载作品
require_once ROOT_PATH.'/apps/items/models/items.class.php';
$itemsClass = new items();

$limit = 8;
$start = (PAGE-1)*$limit;

$items = $itemsClass->getAll($start, $limit, " `user_id` = '".intval($user['user_id'])."' ".$whereQuery);
abr('items', $items);

abr('paging', paging('/'.$languageURL.'user/'.$username.'/?p=', '&sort_by='.$_GET['sort_by'].'&order='.$_GET['order'], PAGE, $limit, $itemsClass->foundRows));
$allRows = $itemsClass->foundRows;
abr('allRows',$allRows);

require_once ROOT_PATH.'/apps/items/models/orders.class.php';
$ordersClass = new orders();

//勋章
require_once ROOT_PATH.'/apps/system/models/badges.class.php';
$badges = new badges();

$badges_data = $badges->getAllFront();

$user = $_SESSION['user'];

$other_badges = array_map('trim', explode(',', $user['badges']));

$user_badges = array();

if($user['exclusive_author'] == 'true' && isset($badges_data['system']['is_exclusive_author'])) {
	if($badges_data['system']['is_exclusive_author']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['is_exclusive_author']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['is_exclusive_author']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['is_exclusive_author']['photo']
		);
	}
}

if($user['featured_author'] == 'true' && isset($badges_data['system']['has_been_featured'])) {
	if($badges_data['system']['has_been_featured']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['has_been_featured']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['has_been_featured']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['has_been_featured']['photo']
		);
	}
}

if(isset($user['statuses']['freefile']) && $user['statuses']['freefile'] && isset($badges_data['system']['has_free_file_month'])) {
	if($badges_data['system']['has_free_file_month']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['has_free_file_month']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['has_free_file_month']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['has_free_file_month']['photo']
		);
	}
}

if(isset($user['statuses']['featured']) && $user['statuses']['featured'] && isset($badges_data['system']['has_had_item_featured'])) {
	if($badges_data['system']['has_free_file_month']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['has_had_item_featured']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['has_had_item_featured']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['has_had_item_featured']['photo']
		);
	}
}

if($user['buy'] && isset($badges_data['buyers']) && is_array($badges_data['buyers'])) {
	foreach($badges_data['buyers'] AS $k => $v) {
		list($from, $to) = explode('-', $k);
		if($from <= $user['buy'] && $to >= $user['buy']) {
			if($v['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $v['photo'])) {
				$user_badges[] = array(
					'name' => $v['name'],
					'photo' => '/uploads/badges/' . $v['photo']
				);
			}
			break;
		}
	}
}

if($user['sold'] && isset($badges_data['authors']) && is_array($badges_data['authors'])) {
	foreach($badges_data['authors'] AS $k => $v) {
		list($from, $to) = explode('-', $k);
		if($from <= $user['sold'] && $to >= $user['sold']) {
			if($v['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $v['photo'])) {
				$user_badges[] = array(
					'name' => $v['name'],
					'photo' => '/uploads/badges/' . $v['photo']
				);
			}
			break;
		}
	}
}

if($user['referals'] && isset($badges_data['referrals']) && is_array($badges_data['referrals'])) {
	foreach($badges_data['referrals'] AS $k => $v) {
		list($from, $to) = explode('-', $k);
		if($from <= $user['referals'] && $to >= $user['referals']) {
			if($v['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $v['photo'])) {
				$user_badges[] = array(
					'name' => $v['name'],
					'photo' => '/uploads/badges/' . $v['photo']
				);
			}
			break;
		}
	}
}

if(isset($badges_data['other']) && is_array($badges_data['other'])) {
	foreach($badges_data['other'] AS $k => $b) {
		if(in_array($k, $other_badges) && $b['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $b['photo'])) {
			$user_badges[] = array(
				'name' => $b['name'],
				'photo' => '/uploads/badges/' . $b['photo']
			);
		}
	}
}

if(isset($user['country']['photo']) && $user['country']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/countries/" . $user['country']['photo'])) {
	$user_badges[] = array(
		'name' => $user['country']['name'],
		'photo' => '/uploads/countries/' . $user['country']['photo']
	);
} elseif(isset($badges_data['system']['location_global_community']) && $badges_data['system']['location_global_community']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['location_global_community']['photo'])) {
	$user_badges[] = array(
		'name' => $badges_data['system']['location_global_community']['name'],
		'photo' => '/uploads/badges/' . $badges_data['system']['location_global_community']['photo']
	);
}

if($user['power_elite_author'] == 'true' && isset($badges_data['system']['power_elite_author'])) {
	if($badges_data['system']['power_elite_author']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['has_been_featured']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['power_elite_author']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['power_elite_author']['photo']
		);
	}
}

if($user['elite_author'] == 'true' && isset($badges_data['system']['elite_author'])) {
	if($badges_data['system']['elite_author']['photo'] && file_exists(DATA_SERVER_PATH . "/uploads/badges/" . $badges_data['system']['has_been_featured']['photo'])) {
		$user_badges[] = array(
			'name' => $badges_data['system']['elite_author']['name'],
			'photo' => '/uploads/badges/' . $badges_data['system']['elite_author']['photo']
		);
	}
}

abr('user_badges', $user_badges);


#获取粉丝
$follow['to'] = $usersClass->getFollowers($user['user_id'], 0, 9, 'RAND()', true);
$follow['to_count'] = $usersClass->foundRows;
$follow['from'] = $usersClass->getFollowers($user['user_id'], 0, 9, 'RAND()');
$follow['from_count'] = $usersClass->foundRows;
abr('follow', $follow);


$follow['toto'] = $usersClass->getFollowers($user['user_id'], 0, 10000000, 'RAND()', true);
$follow['toto_count'] = $usersClass->foundRows;
$follow['fromfrom'] = $usersClass->getFollowers($user['user_id'], 0, 10000000, 'RAND()');
$follow['fromfrom_count'] = $usersClass->foundRows;
abr('follow', $follow);


if(!check_login_bool()) {
	$_SESSION['temp']['golink'] = '/'.$languageURL.'statement/';
	refresh('/'.$languageURL.'sign_in/');
}

	if(!isset($_GET['month'])) {
		$_GET['month'] = date('m');
	}
	if(!isset($_GET['year'])) {
		$_GET['year'] = date('Y');
	}
	if(!checkdate($_GET['month'], 1, $_GET['year'])) {
		$_GET['month'] = date('m');
		$_GET['year'] = date('Y');
	}
	
	abr('download_csv_info', langMessageReplace($langArray['download_csv_info'], array('URL' => '/'.$languageURL.'users/statement/?month='.$_GET['month'].'&$year='.$_GET['year'].'&export')));
	
	$registrationDate = explode(' ', $_SESSION['user']['register_datetime']);
	$registrationDate = explode('-', $registrationDate[0]);
	abr('registrationDate', $registrationDate);
	
	$today['month'] = date('m');
	$today['year'] = date('Y')+1;
	abr('today', $today);
	
	$nav['prev']['month'] = date('m', mktime(0, 0, 0, ($_GET['month']-1), 1, $_GET['year']));
	$nav['prev']['year'] = date('Y', mktime(0, 0, 0, ($_GET['month']-1), 1, $_GET['year']));
	$nav['next']['month'] = date('m', mktime(0, 0, 0, ($_GET['month']+1), 1, $_GET['year']));
	$nav['next']['year'] = date('Y', mktime(0, 0, 0, ($_GET['month']+1), 1, $_GET['year']));
	if($nav['prev']['month'] < $registrationDate[1] && $nav['prev']['year'] <= $registrationDate[0]) {
		$nav['prev']['show'] = 'false';
	}
	else {
		$nav['prev']['show'] = 'true';
	}
	if($nav['next']['month'] > date('m') && $nav['next']['year'] >= date('Y')) {
		$nav['next']['show'] = 'false';
	}
	else {
		$nav['next']['show'] = 'true';
	}
	abr('nav', $nav);
	
    //获取资金流动记录
	$logClass = new transaction_details();
    $statement = $logClass->getRecord($_SESSION['user']['user_id']);

    #获取资金记录
	//require_once ROOT_PATH.'/apps/items/models/orders.class.php';
	//$ordersClass = new orders();
	
	//$statement = $ordersClass->getStatement($_SESSION['user']['user_id'], $_GET['month'], $_GET['year']);
	abr('statement', $statement);
	
	if(isset($_GET['export'])) {
		
		header('Content-Type: application/text/x-csv; charset=utf-8; encoding=utf-8');
		header('Content-Disposition: attachment; filename="stetement_'.$_GET['month'].'_'.$_GET['year'].'.csv"');
		header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
		header('Pragma: public');
		header("Content-Transfer-Encoding: binary");
		header('Expires: 0');
		@ob_clean();
		@flush();
		
		if(is_array($statement)) {
			foreach($statement as $s) {
				echo '"'.date('d M Y', strtotime($s['datetime'])).'",';
  
				if($s['type'] == 'deposit')
	        echo '"'.$langArray['deposit'].'",';
	      elseif($s['type'] == 'withdraw')
	        echo '"'.$langArray['withdraw_money'].'",';
				elseif($s['type'] == 'order' && $s['owner_id'] == $_SESSION['user']['user_id'])
	        echo '"'.$langArray['receive_money'].'",';
				else
	        echo '"'.$langArray['purchase_money'].'",';
	        	
				if($s['type'] == 'deposit')
	        echo '"$ '.number_format($s['price'], 2).'",';
	      elseif($s['type'] == 'withdraw')
	        echo '"$ -'.number_format($s['price'], 2).'",';
				elseif($s['type'] == 'order' && $s['owner_id'] == $_SESSION['user']['user_id'])
	        echo '"$ '.number_format($s['receive'], 2).'",';
				else
	        echo '"$ -'.number_format($s['price'], 2).'",';
	        
				if($s['type'] == 'deposit')
	        echo '"'.$langArray['deposit_money'].'",';
	      elseif($s['type'] == 'withdraw')
	        echo '"'.$langArray['earning_money'].'",';
				elseif($s['type'] == 'order' && $s['owner_id'] == $_SESSION['user']['user_id']) {
					if($s['referal'] == 'buy') 
	        	echo '"'.$langArray['sold_item'].' '.$s['item_name'].'",';
	        else
	        	echo '"'.$langArray['referal_money'].'",';	        		
				}
				else
	        echo '"'.$langArray['buy_item'].' '.$s['item_name'].'",';
	        
	      echo "\n";	      
			}
		}
		die();
		
	}
	
#面包屑	
	abr('breadcrumb', '<a href="/'.$languageURL.'" title="">'.$langArray['home'].'</a> \ <a href="/'.$languageURL.'users/dashboard/" title="">'.$langArray['my_account'].'</a> \ <a href="/'.$languageURL.'users/statement/" title="">'.$langArray['statement'].'</a>');		
	
	
?>